Error: no se encontró ningún recurso que coincida con el nombre de stack: attr 'fabSize': attr 'rippleColor'

He comenzado el curso "Firebase Essentials para Android" – Udacity, he descargado el código en Git y GitHub, y estoy intentando ejecutar la aplicación en mi tableta.

Estoy usando el entorno de eclipse, ya que es a lo que estoy acostumbrado, y recibo algunos posts de error. Intenté search soluciones en SO y actualizar las properties de Android y la ruta de Comstackción, pero todo fue en vano. Mi SDK de Android está actualizado.

Mis posts de error son:

\ res \ values ​​\ styles.xml: 36: error: Error: no se encontró ningún recurso que coincida con el nombre de stack: attr 'fabSize'. \ res \ values ​​\ styles.xml: 37: error: Error: no se encontró ningún recurso que coincida con el nombre de stack: attr 'rippleColor'. \ res \ values-v21 \ styles.xml: 4: error: Error: no se encontró ningún recurso que coincida con el nombre de stack: attr 'fabSize'. \ res \ values-v21 \ styles.xml: 5: error: Error: no se encontró ningún recurso que coincida con el nombre de stack: attr 'rippleColor'.

¿Me guiarías por favor? Gracias:)

Está intentando usar resources que no están disponibles en su SDK o en la API a la que se dirige.

Aumente su compileSDKVersion a 21 o superior, apunte a API 21 o superior, y use la biblioteca appcompat-v7 en lugar de 4.

Por ejemplo, build.gradle:

apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.2" defaultConfig { applicationId "com.yourapp.id" minSdkVersion 15 targetSdkVersion 23 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) testCompile 'junit:junit:4.12' compile 'com.android.support:appcompat-v7:23.2.0' compile 'com.android.support:design:23.2.0'